Package writer2latex.api

# Interface OutputFile

All Known Implementing Classes:
  `BibTeXDocument`, `BinaryGraphicsDocument`, `ContainerWriter`, `CssDocument`, `DOMDocument`, `EPUBWriter`, `LaTeXDocument`, `NavigationWriter`, `NCXWriter`, `OPFWriter`, `ResourceDocument`, `XhtmlDocument`

public interface OutputFile
An `OutputFile` represents a single file in a `ConverterResult`, which is output from a `Converter` implementation.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMath()`
Test whether this document contains mathematical formulas
`String`
`getFileName()`
Returns the file name of the `OutputFile`.
`String`
`getMIMEType()`
Get the MIME type of the `OutputFile`.
`boolean`
`isMasterDocument()`
Test whether this document is part of the main document flow (master documents) or an auxiliary document
`void`
`write(OutputStream os)`
Writes the `OutputFile` to an `OutputStream`.

## Method Details

### write

void write(OutputStream os) throws IOException
Writes the `OutputFile` to an `OutputStream`.

Parameters:
  `os` - `OutputStream` to which the content should be written
Throws:
  `IOException` - if any I/O error occurs

### getFileName

String getFileName()
Returns the file name of the `OutputFile`. This includes the file extension and may also include a relative path, always using / as separator.

Returns:
  the file name of this `OutputFile`

### getMIMEType

String getMIMEType()
Get the MIME type of the `OutputFile`.

Returns:
  string representation of the MIME type

### isMasterDocument

boolean isMasterDocument()
Test whether this document is part of the main document flow (master documents) or an auxiliary document

Returns:
  true if this document is a master document

### containsMath

boolean containsMath()
Test whether this document contains mathematical formulas

Returns:
  true if the document contains formulas